red team
Create red team risk packs
Requires scopes: red_team:approve
POST
/
api
/
red-team
/
risk-packs
Create red team risk packs
curl --request POST \
--url https://evalgate.com/api/red-team/risk-packs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"packKey": "<string>",
"taxonomy": "<string>",
"taxonomyVersion": "<string>",
"cases": [
{
"input": "<string>",
"severity": "low",
"category": "prompt_injection",
"caseKey": "<string>",
"technique": "<string>",
"expectedSafeBehavior": "<string>",
"source": "imported",
"successIndicators": [
"<string>"
]
}
],
"displayName": "<string>"
}
'import requests
url = "https://evalgate.com/api/red-team/risk-packs"
payload = {
"packKey": "<string>",
"taxonomy": "<string>",
"taxonomyVersion": "<string>",
"cases": [
{
"input": "<string>",
"severity": "low",
"category": "prompt_injection",
"caseKey": "<string>",
"technique": "<string>",
"expectedSafeBehavior": "<string>",
"source": "imported",
"successIndicators": ["<string>"]
}
],
"displayName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
packKey: '<string>',
taxonomy: '<string>',
taxonomyVersion: '<string>',
cases: [
{
input: '<string>',
severity: 'low',
category: 'prompt_injection',
caseKey: '<string>',
technique: '<string>',
expectedSafeBehavior: '<string>',
source: 'imported',
successIndicators: ['<string>']
}
],
displayName: '<string>'
})
};
fetch('https://evalgate.com/api/red-team/risk-packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pack": {
"status": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"version": 123,
"artifactId": 123,
"contentHash": "<string>",
"reviewRationale": "<string>",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"artifactVersionId": 123,
"packKey": "<string>",
"taxonomy": "<string>",
"taxonomyVersion": "<string>",
"packSnapshot": {}
},
"cases": [
{
"input": "<string>",
"severity": "low",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"contentHash": "<string>",
"source": "<string>",
"category": "prompt_injection",
"reviewRationale": "<string>",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewStatus": "<string>",
"riskPackVersionId": "<string>",
"caseKey": "<string>",
"technique": "<string>",
"expectedSafeBehavior": "<string>",
"successIndicators": [
"<string>"
],
"generatedModelCallId": "<string>"
}
],
"release": {
"status": "draft",
"rationale": "<string>",
"summary": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"metadata": {},
"environment": "dev",
"kind": "prompt",
"artifactId": 123,
"versionId": 123,
"payload": {},
"versionNumber": 123,
"displayName": "<string>",
"promotedBy": "<string>",
"key": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create red team risk packs
